| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IOpaqueAddress Class Reference

`#include <GaudiKernel/IOpaqueAddress.h>`

Inheritance diagram for IOpaqueAddress:

[legend]
List of all members.

## Detailed Description

Opaque address interface definition.

The opaque address defines the behaviour necesary to load and store transient objects.

Author:
  M.Frank

Version:
  1.0

Definition at line 24 of file IOpaqueAddress.h.

## Public Member Functions
virtual | ~IOpaqueAddress ()
| destructor
virtual unsigned long | addRef ()=0
| Add reference to object.
virtual unsigned long | release ()=0
| release reference to object
virtual const CLID & | clID () const=0
| Retrieve class information from link.
virtual long | svcType () const=0
| Retrieve service type.
virtual IRegistry * | registry () const=0
| Update branch name.
virtual void | setRegistry (IRegistry *r)=0
| Update directory pointer.
virtual const std::string * | par () const=0
| Retrieve String parameters.
virtual const unsigned long * | ipar () const=0
| Access to generic link parameters.

## Constructor & Destructor Documentation

virtual IOpaqueAddress::~IOpaqueAddress | ( |  | ) | `[inline, virtual]`

destructor

Definition at line 28 of file IOpaqueAddress.h.

    00028 { }

## Member Function Documentation

virtual unsigned long IOpaqueAddress::addRef | ( |  | ) | `[pure virtual]`

Add reference to object.

Implemented in GenericAddress, PoolDbAddress, and RootHistCnv::RootObjAddress.

Referenced by HbookCnv::H2DCnv::createObj(), HbookCnv::H1DCnv::createObj(), EventCollectionSelector::MyContextType::MyContextType(), DataSvcHelpers::RegistryEntry::setAddress(), and MultiStoreSvc::setRoot().

virtual unsigned long IOpaqueAddress::release | ( |  | ) | `[pure virtual]`

release reference to object

Implemented in GenericAddress, PoolDbAddress, and RootHistCnv::RootObjAddress.

Referenced by MultiStoreSvc::clearStore(), DataSvcHelpers::RegistryEntry::setAddress(), MultiStoreSvc::setRoot(), EventCollectionSelector::MyContextType::~MyContextType(), and DataSvcHelpers::RegistryEntry::~RegistryEntry().

virtual const CLID& IOpaqueAddress::clID | ( |  | ) | const`[pure virtual]`

Retrieve class information from link.

Implemented in GenericAddress, PoolDbAddress, and RootHistCnv::RootObjAddress.

Referenced by PersistencySvc::convertAddress(), EventCollectionSelector::createAddress(), PoolDbBaseCnv::createReferences(), ConversionSvc::makeCall(), MultiStoreSvc::preparePartitions(), StoreExplorerAlg::printObj(), save(), and TagCollectionStream::writeObjects().

virtual long IOpaqueAddress::svcType | ( |  | ) | const`[pure virtual]`

Retrieve service type.

Implemented in GenericAddress, PoolDbAddress, and RootHistCnv::RootObjAddress.

Referenced by PersistencySvc::convertAddress(), EventCollectionSelector::createAddress(), PoolDbBaseCnv::createReferences(), PersistencySvc::makeCall(), MultiStoreSvc::preparePartitions(), StoreExplorerAlg::printObj(), save(), and TagCollectionStream::writeObjects().

virtual IRegistry* IOpaqueAddress::registry | ( |  | ) | const`[pure virtual]`

Update branch name.

Implemented in GenericAddress, PoolDbAddress, and RootHistCnv::RootObjAddress.

Referenced by RootHistCnv::RNTupleCnv::createObj(), HbookCnv::HNTupleCnv::createObj(), HbookCnv::HFileCnv::createObj(), HbookCnv::H2DCnv::createObj(), HbookCnv::H1DCnv::createObj(), PoolDbDatabaseCnv::createObj(), PoolDbBaseCnv::createObj(), HbookCnv::H2DCnv::updateObj(), HbookCnv::H1DCnv::updateObj(), PoolDbDirectoryCnv::updateObjRefs(), HbookCnv::HNTupleCnv::updateRep(), and PoolDbBaseCnv::updateRep().

virtual void IOpaqueAddress::setRegistry | ( | IRegistry * | r | ) | `[pure virtual]`

Update directory pointer.

Implemented in GenericAddress, PoolDbAddress, and RootHistCnv::RootObjAddress.

Referenced by DataSvcHelpers::RegistryEntry::add(), DataSvcHelpers::RegistryEntry::makeHard(), DataSvcHelpers::RegistryEntry::setAddress(), and DataSvcHelpers::RegistryEntry::~RegistryEntry().

virtual const std::string* IOpaqueAddress::par | ( |  | ) | const`[pure virtual]`

Retrieve String parameters.

Implemented in GenericAddress, PoolDbAddress, and RootHistCnv::RootObjAddress.

Referenced by EventCollectionSelector::createAddress(), HbookCnv::HFileCnv::createObj(), PoolDbDatabaseCnv::createObj(), PoolDbBaseCnv::createReferences(), HbookCnv::HConverter::createRep(), StoreExplorerAlg::explore(), RootHistCnv::RDirectoryCnv::fillObjRefs(), MultiStoreSvc::preparePartitions(), save(), RootHistCnv::RNTupleCnv::updateObj(), HbookCnv::HNTupleCnv::updateObj(), RootHistCnv::RFileCnv::updateRep(), and TagCollectionStream::writeObjects().

virtual const unsigned long* IOpaqueAddress::ipar | ( |  | ) | const`[pure virtual]`

Access to generic link parameters.

Implemented in GenericAddress, PoolDbAddress, and RootHistCnv::RootObjAddress.

Referenced by RootHistCnv::RConverter::createAddress(), HbookCnv::HConverter::createAddress(), EventCollectionSelector::createAddress(), HbookCnv::HNTupleCnv::createObj(), HbookCnv::HFileCnv::createObj(), HbookCnv::H2DCnv::createObj(), HbookCnv::H1DCnv::createObj(), PoolDbDatabaseCnv::createObj(), PoolDbBaseCnv::createReferences(), RootHistCnv::RNTupleCnv::createRep(), HbookCnv::HConverter::createRep(), EventCollectionSelector::getPreviousRecord(), MultiStoreSvc::preparePartitions(), save(), RootHistCnv::RNTupleCnv::updateObj(), HbookCnv::HNTupleCnv::updateObj(), HbookCnv::H2DCnv::updateObj(), HbookCnv::H1DCnv::updateObj(), RootHistCnv::RNTupleCnv::updateRep(), RootHistCnv::RFileCnv::updateRep(), HbookCnv::HNTupleCnv::updateRep(), HbookCnv::HFileCnv::updateRep(), HbookCnv::H2DCnv::updateRep(), HbookCnv::H1DCnv::updateRep(), and TagCollectionStream::writeObjects().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/IOpaqueAddress.h